###################################################
### chunk number 1: options
###################################################
#line 62 "clusterProfiler.Rnw"
options(width=60)
require(clusterProfiler)


###################################################
### chunk number 2: gcSample
###################################################
#line 84 "clusterProfiler.Rnw"
require(clusterProfiler)
data(gcSample)
gcSample


###################################################
### chunk number 3: groupGO
###################################################
#line 91 "clusterProfiler.Rnw"
x <- groupGO(gene=gcSample[[1]], organism="human", ont="CC", level=2, readable=TRUE)
summary(x)


###################################################
### chunk number 4: enrichGO eval=FALSE
###################################################
## #line 97 "clusterProfiler.Rnw"
## y <- enrichGO(gene=gcSample[[2]], organism="human", ont="MF", pvalueCutoff=0.01, readable=TRUE)


###################################################
### chunk number 5: enrichKEGG
###################################################
#line 102 "clusterProfiler.Rnw"
z <- enrichKEGG(gene=gcSample[[3]], organism="human", pvalueCutoff=0.05, readable=TRUE)
summary(z)


###################################################
### chunk number 6: groupGO eval=FALSE
###################################################
## #line 111 "clusterProfiler.Rnw"
## plot(x, title="CC Ontology Classification, level 2", font.size=12)


###################################################
### chunk number 7: enrichKEGG eval=FALSE
###################################################
## #line 122 "clusterProfiler.Rnw"
## plot(z, title="KEGG Enrichment")


###################################################
### chunk number 8: compareCluster eval=FALSE
###################################################
## #line 135 "clusterProfiler.Rnw"
## xx <- compareCluster(gcSample, fun=groupGO, organism="human", ont="MF", level=2)
## plot(xx, title="MF Ontology Distribution Comparison")


###################################################
### chunk number 9: compareCluster eval=FALSE
###################################################
## #line 148 "clusterProfiler.Rnw"
## yy <- compareCluster(gcSample, fun=enrichGO, organism="human", ont="CC", pvalueCutoff=0.01)
## plot(yy, title="CC Ontology Enrichment Comparison")


###################################################
### chunk number 10: compareCluster eval=FALSE
###################################################
## #line 162 "clusterProfiler.Rnw"
## plot(yy, title="CC Ontology Enrichment Comparison", type="bar", by="count")


###################################################
### chunk number 11: compareCluster-KEGG eval=FALSE
###################################################
## #line 175 "clusterProfiler.Rnw"
## zz <- compareCluster(gcSample, fun=enrichKEGG, organism="human", pvalueCutoff=0.05)
## plot(zz, title="KEGG Pathway Enrichment Comparison")


###################################################
### chunk number 12: 
###################################################
#line 204 "clusterProfiler.Rnw"
sessionInfo()


